/*
 * Copyright 2023 Tadashi G. Takaoka
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#include "text_f3850.h"

namespace libasm {
namespace text {
namespace f3850 {
// clang-format off

constexpr char TEXT_CPU_F3850[] PROGMEM = "F3850";
constexpr char TEXT_CPU_3850[]  PROGMEM = "3850";

// constexpr char TEXT_null[] PROGMEM = "";

// F3850
// constexpr char TEXT_ADC[]  PROGMEM = "ADC";
// constexpr char TEXT_AI[]   PROGMEM = "AI";
// constexpr char TEXT_AM[]   PROGMEM = "AM";
constexpr char TEXT_AMD[]  PROGMEM = "AMD";
constexpr char TEXT_AS[]   PROGMEM = "AS";
constexpr char TEXT_ASD[]  PROGMEM = "ASD";
constexpr char TEXT_BC[]   PROGMEM = "BC";
constexpr char TEXT_BF[]   PROGMEM = "BF";
// constexpr char TEXT_BM[]   PROGMEM = "BM";
constexpr char TEXT_BNC[]  PROGMEM = "BNC";
constexpr char TEXT_BNO[]  PROGMEM = "BNO";
// constexpr char TEXT_BNZ[]  PROGMEM = "BNZ";
// constexpr char TEXT_BP[]   PROGMEM = "BP";
// constexpr char TEXT_BR[]   PROGMEM = "BR";
constexpr char TEXT_BR7[]  PROGMEM = "BR7";
// constexpr char TEXT_BT[]   PROGMEM = "BT";
// constexpr char TEXT_BZ[]   PROGMEM = "BZ";
// constexpr char TEXT_CI[]   PROGMEM = "CI";
// constexpr char TEXT_CLR[]  PROGMEM = "CLR";
// constexpr char TEXT_CM[]   PROGMEM = "CM";
// constexpr char TEXT_COM[]  PROGMEM = "COM";
constexpr char TEXT_DCI[]  PROGMEM = "DCI";
// constexpr char TEXT_DI[]   PROGMEM = "DI";
constexpr char TEXT_DS[]   PROGMEM = "DS";
// constexpr char TEXT_EI[]   PROGMEM = "EI";
// constexpr char TEXT_IN[]   PROGMEM = "IN";
// constexpr char TEXT_INC[]  PROGMEM = "INC";
// constexpr char TEXT_INS[]  PROGMEM = "INS";
constexpr char TEXT_JMP[]  PROGMEM = "JMP";
constexpr char TEXT_LI[]   PROGMEM = "LI";
constexpr char TEXT_LIS[]  PROGMEM = "LIS";
constexpr char TEXT_LISL[] PROGMEM = "LISL";
constexpr char TEXT_LISU[] PROGMEM = "LISU";
constexpr char TEXT_LM[]   PROGMEM = "LM";
constexpr char TEXT_LNK[]  PROGMEM = "LNK";
constexpr char TEXT_LR[]   PROGMEM = "LR";
constexpr char TEXT_NI[]   PROGMEM = "NI";
constexpr char TEXT_NM[]   PROGMEM = "NM";
constexpr char TEXT_NOP[]  PROGMEM = "NOP";
constexpr char TEXT_NS[]   PROGMEM = "NS";
constexpr char TEXT_OI[]   PROGMEM = "OI";
constexpr char TEXT_OM[]   PROGMEM = "OM";
constexpr char TEXT_OUT[]  PROGMEM = "OUT";
constexpr char TEXT_OUTS[] PROGMEM = "OUTS";
constexpr char TEXT_PI[]   PROGMEM = "PI";
constexpr char TEXT_PK[]   PROGMEM = "PK";
constexpr char TEXT_POP[]  PROGMEM = "POP";
constexpr char TEXT_SL[]   PROGMEM = "SL";
constexpr char TEXT_SR[]   PROGMEM = "SR";
constexpr char TEXT_ST[]   PROGMEM = "ST";
constexpr char TEXT_XDC[]  PROGMEM = "XDC";
constexpr char TEXT_XI[]   PROGMEM = "XI";
constexpr char TEXT_XM[]   PROGMEM = "XM";
constexpr char TEXT_XS[]   PROGMEM = "XS";

// constexpr char TEXT_REG_A[]  PROGMEM = "A";
constexpr char TEXT_REG_DC[] PROGMEM = "DC";
// constexpr char TEXT_REG_D[]  PROGMEM = "D";
// constexpr char TEXT_REG_HL[] PROGMEM = "HL";
// constexpr char TEXT_REG_H[]  PROGMEM = "H";
constexpr char TEXT_REG_HU[] PROGMEM = "HU";
// constexpr char TEXT_REG_I[]  PROGMEM = "I";
constexpr char TEXT_REG_IS[] PROGMEM = "IS";
constexpr char TEXT_REG_J[]  PROGMEM = "J";
constexpr char TEXT_REG_KL[] PROGMEM = "KL";
constexpr char TEXT_REG_K[]  PROGMEM = "K";
constexpr char TEXT_REG_KU[] PROGMEM = "KU";
constexpr char TEXT_REG_P0[] PROGMEM = "P0";
// constexpr char TEXT_REG_P[]  PROGMEM = "P";
constexpr char TEXT_REG_QL[] PROGMEM = "QL";
constexpr char TEXT_REG_Q[]  PROGMEM = "Q";
constexpr char TEXT_REG_QU[] PROGMEM = "QU";
// constexpr char TEXT_REG_S[]  PROGMEM = "S";
// constexpr char TEXT_REG_W[]  PROGMEM = "W";

// clang-format on
}  // namespace f3850
}  // namespace text
}  // namespace libasm

// Local Variables:
// mode: c++
// c-basic-offset: 4
// tab-width: 4
// End:
// vim: set ft=cpp et ts=4 sw=4:
